package com.trade.service.enterprise.customer.dto;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

public class EnterpriseBaseInfoDto {

    /**
     * 客户编号
     */
    private String customerIdentifierNo;
    private Long customerId;
    /**
     * 企业id
     */
    private Long enterpriseId;
    /**
     * 企业名称
     */
    private String enterpriseName;
    /**
     * 统一社会信用编码
     */
    private String certNo;
    /**
     * 企业类型，枚举：enterprise_type
     */
    private String enterpriseType;
    /**
     * 成立时间 yyyy-MM-dd
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date establishDate;
    /**
     * 注册时间 yyyy-MM-dd
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date registrationDate;
    /**
     * 企业认证状态，枚举：certification_status
     */
    private String certificationStatus;
    /**
     * 业务产品，枚举：business_product
     */
    private String businessProduct;
    /**
     * 业务经理
     */
    private String businessManager;
    private Long businessManagerId;
    /**
     * 风控经理
     */
    private String riskManager;
    private Long riskManagerId;
    /**
     * 出口类型，枚举：export_type
     */
    private String exportType;
    /**
     * 客户分配id
     */
    private Long customerAssignId;

    public String getCustomerIdentifierNo() {
        return customerIdentifierNo;
    }

    public void setCustomerIdentifierNo(String customerIdentifierNo) {
        this.customerIdentifierNo = customerIdentifierNo;
    }

    public Long getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Long customerId) {
        this.customerId = customerId;
    }

    public Long getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Long enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getCertNo() {
        return certNo;
    }

    public void setCertNo(String certNo) {
        this.certNo = certNo;
    }

    public String getEnterpriseType() {
        return enterpriseType;
    }

    public void setEnterpriseType(String enterpriseType) {
        this.enterpriseType = enterpriseType;
    }

    public Date getEstablishDate() {
        return establishDate;
    }

    public void setEstablishDate(Date establishDate) {
        this.establishDate = establishDate;
    }

    public Date getRegistrationDate() {
        return registrationDate;
    }

    public void setRegistrationDate(Date registrationDate) {
        this.registrationDate = registrationDate;
    }

    public String getCertificationStatus() {
        return certificationStatus;
    }

    public void setCertificationStatus(String certificationStatus) {
        this.certificationStatus = certificationStatus;
    }

    public String getBusinessProduct() {
        return businessProduct;
    }

    public void setBusinessProduct(String businessProduct) {
        this.businessProduct = businessProduct;
    }

    public String getBusinessManager() {
        return businessManager;
    }

    public void setBusinessManager(String businessManager) {
        this.businessManager = businessManager;
    }

    public Long getBusinessManagerId() {
        return businessManagerId;
    }

    public void setBusinessManagerId(Long businessManagerId) {
        this.businessManagerId = businessManagerId;
    }

    public String getRiskManager() {
        return riskManager;
    }

    public void setRiskManager(String riskManager) {
        this.riskManager = riskManager;
    }

    public Long getRiskManagerId() {
        return riskManagerId;
    }

    public void setRiskManagerId(Long riskManagerId) {
        this.riskManagerId = riskManagerId;
    }

    public String getExportType() {
        return exportType;
    }

    public void setExportType(String exportType) {
        this.exportType = exportType;
    }

    public Long getCustomerAssignId() {
        return customerAssignId;
    }

    public void setCustomerAssignId(Long customerAssignId) {
        this.customerAssignId = customerAssignId;
    }
}
